Bug 220058 - denied pam_console_app tape_device_t
denied pam_console_app tape_device_t
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-12-18 13:18 EST by Orion Poplawski
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-02-14 10:17:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Orion Poplawski 2006-12-18 13:18:29 EST
Description of problem:

This is with your testing package selinux-policy-2.4.5-4.fc5

Dec 17 12:47:49 moli kernel: audit(1166384869.121:392): avc:  denied  { getattr
} for  pid=22932 comm="pam_console_app" name="st0" dev=tmpfs ino=4594
scontext=system_u:system_r:pam_console_t:s0-s0:c0.c1023
tcontext=system_u:object_r:tape_device_t:s0 tclass=chr_file
Dec 17 12:47:49 moli kernel: audit(1166384869.121:393): avc:  denied  { getattr
} for  pid=22932 comm="pam_console_app" name="st0a" dev=tmpfs ino=4485
scontext=system_u:system_r:pam_console_t:s0-s0:c0.c1023
tcontext=system_u:object_r:tape_device_t:s0 tclass=chr_file
Dec 17 12:47:49 moli kernel: audit(1166384869.121:394): avc:  denied  { getattr
} for  pid=22932 comm="pam_console_app" name="st0l" dev=tmpfs ino=4590
scontext=system_u:system_r:pam_console_t:s0-s0:c0.c1023
tcontext=system_u:object_r:tape_device_t:s0 tclass=chr_file
Dec 17 12:47:49 moli kernel: audit(1166384869.125:395): avc:  denied  { getattr
} for  pid=22932 comm="pam_console_app" name="st0m" dev=tmpfs ino=4459
scontext=system_u:system_r:pam_console_t:s0-s0:c0.c1023
tcontext=system_u:object_r:tape_device_t:s0 tclass=chr_file
Dec 17 12:47:49 moli kernel: audit(1166384869.125:396): avc:  denied  { getattr
} for  pid=22932 comm="pam_console_app" name="nst0" dev=tmpfs ino=4582
scontext=system_u:system_r:pam_console_t:s0-s0:c0.c1023
tcontext=system_u:object_r:tape_device_t:s0 tclass=chr_file
Dec 17 12:47:49 moli kernel: audit(1166384869.125:397): avc:  denied  { getattr
} for  pid=22932 comm="pam_console_app" name="nst0a" dev=tmpfs ino=4513
scontext=system_u:system_r:pam_console_t:s0-s0:c0.c1023
tcontext=system_u:object_r:tape_device_t:s0 tclass=chr_file
Dec 17 12:47:49 moli kernel: audit(1166384869.129:398): avc:  denied  { getattr
} for  pid=22932 comm="pam_console_app" name="nst0l" dev=tmpfs ino=4434
scontext=system_u:system_r:pam_console_t:s0-s0:c0.c1023
tcontext=system_u:object_r:tape_device_t:s0 tclass=chr_file
Dec 17 12:47:49 moli kernel: audit(1166384869.129:399): avc:  denied  { getattr
} for  pid=22932 comm="pam_console_app" name="nst0m" dev=tmpfs ino=4471
scontext=system_u:system_r:pam_console_t:s0-s0:c0.c1023
tcontext=system_u:object_r:tape_device_t:s0 tclass=chr_file

Happens when someone logs onto the text console of this server.
Comment 1 Daniel Walsh 2007-02-14 10:17:58 EST
All of these bugs should be fixed in FC6,  You could attempt to use the FC6
policy on FC5 or upgrade.  Or you could use 

audit2allow -M mypolicy -i /var/log/audit/audit.log 
and build local customized policy

Note You need to log in before you can comment on or make changes to this bug.